<?php
/**
 * This file is a configuration form for the dashboard widget.
 */



if (!empty($_POST)) {  
$listed_themes = ( isset( $_POST['listed_themes'] ) ) ? stripslashes( $_POST['listed_themes'] ) : '';
$listed_plugins = ( isset( $_POST['listed_plugins'] ) ) ? stripslashes( $_POST['listed_plugins'] ) : '';
$wp_configs = ( isset( $_POST['wp_configs'] ) ) ? stripslashes( $_POST['wp_configs'] ) : '';
$host_configs = ( isset( $_POST['host_configs'] ) ) ? stripslashes( $_POST['host_configs'] ) : '';
$php_exts = ( isset( $_POST['php_exts'] ) ) ? stripslashes( $_POST['php_exts'] ) : '';
$apache_exts = ( isset( $_POST['apache_exts'] ) ) ? stripslashes( $_POST['apache_exts'] ) : '';
$site_stats = ( isset( $_POST['site_stats'] ) ) ? stripslashes( $_POST['site_stats'] ) : '';
$verbose_listing = ( isset( $_POST['verbose_listing'] ) ) ? stripslashes( $_POST['verbose_listing'] ) : '';
    self::update_dashboard_widget_options(
            self::wid,                                  //The  widget id
            array(                                      //Associative array of options & default values
                'listed_themes' => $listed_themes,
                'listed_plugins' => $listed_plugins,
                'wp_configs' => $wp_configs,
                'host_configs' => $host_configs,
                'php_exts' => $php_exts,
                'apache_exts' => $apache_exts,
                'site_stats' => $site_stats,
                'verbose_listing' => $verbose_listing,
            )
    );
}


?>
<h1>Configuration:</h1>
<!-- <p>LDG_PLUGIN_PATH <?php echo LDG_PLUGIN_PATH; ?></p>
<p>LDG_PLUGIN_VERSION <?php echo LDG_PLUGIN_VERSION ; ?></p> -->
<p>Check the option boxes to <strong>show</strong> the various sections. Uncheck boxes to hide a section. <strong>Verbose Listing</strong> will show section headers for hidden sections.</p>
<p><strong>Options:</strong></p>
<input type="checkbox" name="listed_themes" value="show" <?php echo ($ldgoptions['listed_themes'] == 'show' ? 'checked' : ''); ?>> Listed Themes<br>
<input type="checkbox" name="listed_plugins" value="show" <?php echo ($ldgoptions['listed_plugins'] == 'show' ? 'checked' : ''); ?>> Listed Plugins<br>
<input type="checkbox" name="wp_configs" value="show" <?php echo ($ldgoptions['wp_configs'] == 'show' ? 'checked' : ''); ?>> Wordpress Configuration<br>
<input type="checkbox" name="host_configs" value="show" <?php echo ($ldgoptions['host_configs'] == 'show' ? 'checked' : ''); ?>> Host Configuration<br>
<input type="checkbox" name="php_exts" value="show" <?php echo ($ldgoptions['php_exts'] == 'show' ? 'checked' : ''); ?>> PHP Extensions<br>
<input type="checkbox" name="apache_exts" value="show" <?php echo ($ldgoptions['apache_exts'] == 'show' ? 'checked' : ''); ?>> Apache Extensions<br>
<input type="checkbox" name="site_stats" value="show" <?php echo ($ldgoptions['site_stats'] == 'show' ? 'checked' : ''); ?>> Site Statistics<br>
<input type="checkbox" name="verbose_listing" value="show" <?php echo ($ldgoptions['verbose_listing'] == 'show' ? 'checked' : ''); ?>> Verbose Listing<br>
<p>&nbsp;</p>
<p class="low-wp-explain">Plugin Version: <?php echo LDG_PLUGIN_VERSION; ?> | <a href="https://low.li/" target="_blank">Laughter On Water</a> | Please <a href="https://wordpress.org/plugins/diagnostic-glance/" target="_blank">rate this plugin</a> if you find it useful!</p>
