<?php
/**
 * This file is the layout for the dashboard widget view.
 */

//Exit if accessed directly
if(!defined('ABSPATH')) {
    exit;
}

require_once( 'functions.php' );

?>
<p>WordPress challenges? Copy these details 
for use on wordpress forums in order for others to have some 
idea of your wordpress setup.</p>
<?php   
// Check to see if any widget options are saved.
ldg_check_widget_options($ldgoptions);
?>
<?php // Post the section buttons... Possibly for next version...
 /* ldg_list_widget_options($ldgoptions); */ ?>
<p><strong>Shortcode:</strong>  <input id="ldgShortCode" type="text" class="ldg-shortcode" value="[Diagnostic_Glance]" readonly><span class="low-wp-explain"> Copy and paste this shortcode into a page titled "Diagnostic Glance", and then refer to the page with a link to reduce forum clutter.</span></p>
<p>
<!-- Trigger -->
<button type="button" class="low-select-me" data-clipboard-action="copy" data-clipboard-target="low_wp_specs">Copy to Clipboard</button> <span class="low-wp-explain">Click the "Copy to Clipboard" button, then ctrl-v or cmd-v to paste. If you're using an old browser (or Safari) you may have to cmd-c, then cmd-v.</span></p>
<div><!-- Target --><pre id="low_wp_specs">

<?php // Post the Diagnostic Glance Sections...
ldg_get_the_info($ldgoptions); ?>

</pre><textarea id="ldg-hidden" readonly><?php ldg_get_the_info($ldgoptions); ?></textarea></div>
<p class="low-wp-explain">Plugin Version: <?php echo LDG_PLUGIN_VERSION; ?> | <a href="https://low.li/" target="_blank">Laughter On Water</a> | Please <a href="https://wordpress.org/plugins/diagnostic-glance/" target="_blank">rate this plugin</a> if you find it useful!</p>
<?php

?>