function SelectText(element) {
    var doc = document
        , text = doc.getElementById(element)
        , range, selection
    ;    
    if (doc.body.createTextRange) {
        range = document.body.createTextRange();
        range.moveToElementText(text);
        range.select();
    } else if (window.getSelection) {
        selection = window.getSelection();        
        range = document.createRange();
        range.selectNodeContents(text);
        selection.removeAllRanges();
        selection.addRange(range);
    }
}

function ldg_copy(){
	var ldgCopyText = document.getElementById("ldg-hidden");
	ldgCopyText.select(); //this will select the text to be copied
	try {
		var ldgSuccessful = document.execCommand('copy'); //copy text to clipboard
		var ldgMessage = ldgSuccessful ? 'successful' : 'unsuccessful';
		console.log("Text Copy Was "+ldgMessage);
	}
	catch(err){
		console.log("There was an error while copying");
	}
}

document.onclick = function(e) {    
    if (e.target.className === 'low-select-me') {
        SelectText('low_wp_specs');
		ldg_copy();
    }
};
