<?php
/*
Plugin Name: Diagnostic Glance  
Plugin URI: https://low.li/wordpress-plugins/
Description: A Diagnostic Summary of your themes, plugins, system configuration, users, pages, posts and comments -- ready to copy into a any WP help forum.
Version: 1.0
Author: Laughter On Water
Author URI: http://low.li/
License: GPLv2 or later
*/

//Exit if accessed directly
if(!defined('ABSPATH')) {
    exit;
}

//Definitions
define( 'LDG_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'LDG_PLUGIN_URL', plugins_url( '/', __FILE__ ) );
define( 'LDG_PLUGIN_VERSION', '1.0');

//Load Scripts
require_once(LDG_PLUGIN_PATH.'includes/ldg-scripts.php');


//Load Classes
require_once(LDG_PLUGIN_PATH.'includes/ldg-class.php');
require_once(LDG_PLUGIN_PATH.'includes/ldg-shortcode-class.php');

// Setup and initialize the dashboard widget.
add_action('wp_dashboard_setup', array('LOW_Diagnostic_Glance','init') );

?>