<?php 

//Exit if accessed directly
if(!defined('ABSPATH')) {
    exit;
}


class LOW_Diagnostic_Glance_Shortcode {

    /**
     * Example shortcoder.
     */

    public function __construct(){
        add_shortcode('Diagnostic_Glance', array($this, 'ldg_shortcode'));
    }

    public function ldg_shortcode() {
        $ldgoptions = LOW_Diagnostic_Glance::get_dashboard_widget_options('low_diagnostic_glance'); 
        ob_start();
        require_once( LDG_PLUGIN_PATH.'includes/functions.php' );

        ?><pre id="ldg_wp_specs"><?php ldg_get_the_info($ldgoptions); ?>  </pre>
    <br />
    <p class="low-wp-explain"><a href="https://wordpress.org/plugins/diagnostic-glance/" target="_blank">Diagnostic Glance Plugin Version: <?php echo LDG_PLUGIN_VERSION; ?></a> | <a href="https://low.li/" target="_blank">Laughter On Water</a></p>
        <?php
        return ob_get_clean();

    }

}

$example_shortcode = new LOW_Diagnostic_Glance_Shortcode();




